local AddOnFolderName, private = ...

local L = _G.LibStub("AceLocale-3.0"):NewLocale(AddOnFolderName, "enUS", true, false)
if not L then return end

L["%1$s (%2$d) is already on the user-defined NPC list."] = true
L["%1$s (%2$d) is not on the user-defined NPC list."] = true
L["Added %1$s (%2$d) to the user-defined NPC list."] = true
L["Alerts"] = true
L["BOTTOM"] = "Bottom"
L["BOTTOMLEFT"] = "Bottom Left"
L["BOTTOMRIGHT"] = "Bottom Right"
L["CENTER"] = "Center"
L["Completed Achievement Criteria"] = true
L["Completed Quest Objectives"] = true
L["Detection"] = true
L["Drag to set the spawn point for targeting buttons."] = true
L["Duration"] = true
L["Hide Anchor"] = true
L["Hide During Combat"] = true
L["Horizontal offset from the anchor point."] = true
L["Ignore Mute"] = true
L["Interval"] = true
L["LEFT"] = "Left"
L["NPCs"] = true
L["Play alert sounds when sound is muted."] = true
L["Predefined NPCs cannot be added to or removed from the user-defined NPC list."] = true
L["Removed %1$s (%2$d) from the user-defined NPC list."] = true
L["Reset Position"] = true
L["RIGHT"] = "Right"
L["Screen Flash"] = true
L["Screen Location"] = true
L["Show Anchor"] = true
L["Spawn Point"] = true
L["The number of minutes a targeting button will exist before fading out."] = true
L["The number of minutes before an NPC will be detected again."] = true
L["TOP"] = "Top"
L["TOPLEFT"] = "Top Left"
L["TOPRIGHT"] = "Top Right"
L["Type the name of a Continent, Dungeon, or Zone, or the partial name of an NPC. Accepts Lua patterns."] = true
L["Valid values are a numeric NPC ID, the word \"mouseover\" while you have your mouse cursor over an NPC, or the word \"target\" while you have an NPC set as your target."] = true
L["Vertical offset from the anchor point."] = true
L["X Offset"] = true
L["Y Offset"] = true

-- Vignette
L["Aarkos - Looted Treasure"] = true
L["Abandoned Fishing Pole"] = true
L["Alpha Bat"] = true
L["Amateur Hunters"] = true
L["Ambassador D'vwinn"] = true
L["Anax"] = true
L["Anchorite's Sojourn"] = true
L["Antydas Nightcaller's Hideaway"] = true
L["Apothecary Faldren"] = true
L["Arcanist Lylandre"] = true
L["Arcanist Shal'iman"] = true
L["Artificer Lothaire"] = true
L["Avatar of Sothrecar"] = true
L["Bahagar"] = true
L["Ba'ruun"] = true
L["Beacher"] = true
L["Beastmaster Pao'lek"] = true
L["BH Master Scout"] = true
L["Bilebrain"] = true
L["Bladesquall"] = true
L["Bodash the Hoarder"] = true
L["Brawlgoth"] = true
L["Bristlemaul"] = true
L["Brogrul the Mighty"] = true
L["Broodmother Lizax"] = true
L["Cache of Infernals"] = true
L["Cadraeus"] = true
L["Cailyn Paledoom"] = true
L["Captain Volo'ren"] = true
L["Captured Survivor"] = true
L["Cave Keeper"] = true
L["Champion Chomper"] = true
L["Charfeather"] = true
L["Chief Bitterbrine"] = true
L["Cindral"] = true
L["Coldstomp"] = true
L["Commander Soraax"] = true
L["Cora'kar"] = true
L["Coura, Master of Arcana"] = true
L["Crab Rider Grmlrml"] = true
L["Crawshuk the Hungry"] = true
L["Crystalbeard"] = true
L["Daggerbeak"] = true
L["Darkshade, Saber Matriarch"] = true
L["Dead Orc Captain"] = true
L["Devouring Darkness"] = true
L["Dorg"] = true
L["Dreadbog"] = true
L["Dread-Rider Cortis"] = true
L["Echo of Murmur"] = true
L["Egyl the Enduring"] = true
L["Elfbane"] = true
L["Elindya Featherlight"] = true
L["Embaari Defense Crystal"] = true
L["Enavra Varandi"] = true
L["Faebright"] = true
L["Fathnyr"] = true
L["Fel Saberon Shaman"] = true
L["Fenri"] = true
L["Flog the Captain-Eater"] = true
L["Flotsam"] = true
L["Foreling Worship Circle"] = true
L["Forsaken Deathsquad"] = true
L["Frenzied Animus"] = true
L["Frostshard"] = true
L["Galzomar"] = true
L["Garvrulg"] = true
L["Gennadian"] = true
L["Giant Python"] = true
L["Giant Raptor"] = true
L["Giantstalker Hunting Party"] = true
L["Giblette the Cowardly"] = true
L["Glimar Ironfist"] = true
L["Gom Crabbar"] = true
L["Gorebeak"] = true
L["Gorger the Hungry"] = true
L["Gorgroth"] = true
L["Grelda the Hag"] = true
L["Grrvrgull the Conquerer"] = true
L["Guardian Thor'el"] = true
L["Gurbog da Basher"] = true
L["Haakun, The All-Consuming"] = true
L["Hannval the Butcher"] = true
L["Har'kess the Insatiable"] = true
L["Hartli the Snatcher"] = true
L["Haunted Manor"] = true
L["Helmouth Raiders"] = true
L["Hertha Grimdottir"] = true
L["Hook & Sinker"] = true
L["Horn of the Siren"] = true
L["Houndmaster Ely"] = true
L["Houndmaster Jax'zor"] = true
L["Houndmaster Stroxis"] = true
L["Huk'roth the Houndmaster"] = true
L["IH Elite Sniper"] = true
L["Inquisitor Ernstenbok"] = true
L["Inquisitor Tivos"] = true
L["Inquisitor Volitix"] = true
L["Invasion Point: Devastation"] = true
L["Iron Front Captain 1"] = true
L["Iron Front Captain 2"] = true
L["Iron Front Captain 3"] = true
L["Iron Houndmaster"] = true
L["Iron Tunnel Foreman"] = true
L["Ironbranch"] = true
L["Isel the Hammer"] = true
L["Ivory Sentinel"] = true
L["Jade Darkhaven"] = true
L["Jaluk the Pacifist"] = true
L["Jetsam"] = true
L["Kenos the Unraveller"] = true
L["Kethrazor"] = true
L["Kharazos the Triumphant"] = true
L["Klikixx"] = true
L["Kottr Vondyr"] = true
L["Krahl Deathwind"] = true
L["Lady Rivantas"] = true
L["Lava-Gorged Goren"] = true
L["Leaf-Reader Kurri"] = true
L["Lieutenant Strathmar"] = true
L["Light the Braziers"] = true
L["Llorian"] = true
L["Lost Ettin"] = true
L["Luggut the Eggeater"] = true
L["Lyrath Moonfeather"] = true
L["Mad \"King\" Sporeon"] = true
L["Magister Phaedris"] = true
L["Maia the White"] = true
L["Majestic Elderhorn"] = true
L["Mal'Dreth the Corrupter"] = true
L["Mandrakor the Night Hunter"] = true
L["Marius & Tehd"] = true
L["Mar'tura"] = true
L["Matron Hagatha"] = true
L["Mellok, Son of Torok"] = true
L["Miasu"] = true
L["Mordvigbjorn"] = true
L["Mother Om'ra"] = true
L["Mrrgrl the Tide Reaver"] = true
L["Murktide Alpha"] = true
L["Myonix"] = true
L["Nas Dunberlin"] = true
L["Night Haunter"] = true
L["Noble Blademaster"] = true
L["No'losh"] = true
L["Normantis the Deposed"] = true
L["Oasis Icemother"] = true
L["Ogre Primalist"] = true
L["Old Bear Trap"] = true
L["Oreth the Vile"] = true
L["Oubdob da Smasher"] = true
L["Pale Assassin"] = true
L["Pale Gone Fishin'"] = true
L["Pale Spider Broodmother"] = true
L["Panther Saberon Boss"] = true
L["Perrexx the Corruptor"] = true
L["Pinchshank"] = true
L["Pit-Slayer"] = true
L["Pridelord Meowl"] = true
L["Protectors of the Grove"] = true
L["Purging the River"] = true
L["Quin'el, Master of Chillwind"] = true
L["Ragemaw"] = true
L["Randril"] = true
L["Rauren"] = true
L["Ravager Broodlord"] = true
L["Ravyn-Drath"] = true
L["Reef Lord Raj'his"] = true
L["Remnant of the Blood Moon"] = true
L["Rogond"] = true
L["Rok'nash"] = true
L["Roteye"] = true
L["Saberon Blademaster"] = true
L["Saberon Shaman"] = true
L["Sapper Vorick"] = true
L["Scout Harefoot"] = true
L["Sea Giant King"] = true
L["Sea Hydra"] = true
L["Sea King Tidross"] = true
L["Sea Lord Torglork"] = true
L["Seek & Destroy Squad"] = true
L["Seersei"] = true
L["Sekhan"] = true
L["Selia, Master of Balefire"] = true
L["Shadowflame Terror"] = true
L["Shadowmoon Cultist Ritual"] = true
L["Shadowquill"] = true
L["Shal'an"] = true
L["Shaman Fire Stone"] = true
L["Shara Felbreath"] = true
L["Shinri"] = true
L["Shivering Ashmaw Cub"] = true
L["Siegemaster Aedrin"] = true
L["Sikthiss, Maiden of Slaughter"] = true
L["Skagg"] = true
L["Skog"] = true
L["Skywhisker Taskmaster"] = true
L["Slogtusk"] = true
L["Slumbering Bear"] = true
L["Soulfang"] = true
L["Soulthirster"] = true
L["Starbuck"] = true
L["Stomper Kreego"] = true
L["Stoneshard Broodmother"] = true
L["Stormwing Matriarch"] = true
L["Syphonus & Leodrath"] = true
L["Szirek"] = true
L["Tarben"] = true
L["Thane's Mead Hall"] = true
L["The Beastly Boxer"] = true
L["The Blightcaller"] = true
L["The Brood Queen's Court: Count Nefarious"] = true
L["The Brood Queen's Court: General Volroth"] = true
L["The Brood Queen's Court: King Voras"] = true
L["The Brood Queen's Court: Overseer Brutarg"] = true
L["The Exiled Shaman"] = true
L["The Muscle"] = true
L["The Nameless King"] = true
L["The Oracle"] = true
L["The Voidseer"] = true
L["Theryssia"] = true
L["Thondrax"] = true
L["Tide Behemoth"] = true
L["Tideclaw"] = true
L["Torrentius"] = true
L["Totally Safe Treasure Chest"] = true
L["Trecherous Stallions"] = true
L["Unbound Rift"] = true
L["Undgrell Attack"] = true
L["Urgev the Flayer"] = true
L["Valiyaka the Stormbringer"] = true
L["Venomshade (Plant Hydra)"] = true
L["Vicious Whale Shark"] = true
L["Vorthax"] = true
L["Wakkawam"] = true
L["Wandering Vindicator - Looted Treasure"] = true
L["Whitewater Typhoon"] = true
L["Worg Pack"] = true
L["Worgen Stalkers"] = true
L["Wraithtalon"] = true
L["Wrath-Lord Lekos"] = true
L["Xothear, The Destroyer"] = true
L["Yggdrel"] = true
L["Zoug"] = true
L["Zulk"] = true


local VL = _G.LibStub("AceLocale-3.0"):NewLocale(AddOnFolderName .. "Vignette", "enUS", true, false)
if not VL then return end

-- Vignette
VL["Aarkos - Looted Treasure"] = true
VL["Abandoned Fishing Pole"] = true
VL["Alpha Bat"] = true
VL["Amateur Hunters"] = true
VL["Ambassador D'vwinn"] = true
VL["Anax"] = true
VL["Anchorite's Sojourn"] = true
VL["Antydas Nightcaller's Hideaway"] = true
VL["Apothecary Faldren"] = true
VL["Arcanist Lylandre"] = true
VL["Arcanist Shal'iman"] = true
VL["Artificer Lothaire"] = true
VL["Avatar of Sothrecar"] = true
VL["Bahagar"] = true
VL["Ba'ruun"] = true
VL["Beacher"] = true
VL["Beastmaster Pao'lek"] = true
VL["BH Master Scout"] = true
VL["Bilebrain"] = true
VL["Bladesquall"] = true
VL["Bodash the Hoarder"] = true
VL["Brawlgoth"] = true
VL["Bristlemaul"] = true
VL["Brogrul the Mighty"] = true
VL["Broodmother Lizax"] = true
VL["Cache of Infernals"] = true
VL["Cadraeus"] = true
VL["Cailyn Paledoom"] = true
VL["Captain Volo'ren"] = true
VL["Captured Survivor"] = true
VL["Cave Keeper"] = true
VL["Champion Chomper"] = true
VL["Charfeather"] = true
VL["Chief Bitterbrine"] = true
VL["Cindral"] = true
VL["Coldstomp"] = true
VL["Commander Soraax"] = true
VL["Cora'kar"] = true
VL["Coura, Master of Arcana"] = true
VL["Crab Rider Grmlrml"] = true
VL["Crawshuk the Hungry"] = true
VL["Crystalbeard"] = true
VL["Daggerbeak"] = true
VL["Darkshade, Saber Matriarch"] = true
VL["Dead Orc Captain"] = true
VL["Devouring Darkness"] = true
VL["Dorg"] = true
VL["Dreadbog"] = true
VL["Dread-Rider Cortis"] = true
VL["Echo of Murmur"] = true
VL["Egyl the Enduring"] = true
VL["Elfbane"] = true
VL["Elindya Featherlight"] = true
VL["Embaari Defense Crystal"] = true
VL["Enavra Varandi"] = true
VL["Faebright"] = true
VL["Fathnyr"] = true
VL["Fel Saberon Shaman"] = true
VL["Fenri"] = true
VL["Flog the Captain-Eater"] = true
VL["Flotsam"] = true
VL["Foreling Worship Circle"] = true
VL["Forsaken Deathsquad"] = true
VL["Frenzied Animus"] = true
VL["Frostshard"] = true
VL["Galzomar"] = true
VL["Garvrulg"] = true
VL["Gennadian"] = true
VL["Giant Python"] = true
VL["Giant Raptor"] = true
VL["Giantstalker Hunting Party"] = true
VL["Giblette the Cowardly"] = true
VL["Glimar Ironfist"] = true
VL["Gom Crabbar"] = true
VL["Gorebeak"] = true
VL["Gorger the Hungry"] = true
VL["Gorgroth"] = true
VL["Grelda the Hag"] = true
VL["Grrvrgull the Conquerer"] = true
VL["Guardian Thor'el"] = true
VL["Gurbog da Basher"] = true
VL["Haakun, The All-Consuming"] = true
VL["Hannval the Butcher"] = true
VL["Har'kess the Insatiable"] = true
VL["Hartli the Snatcher"] = true
VL["Haunted Manor"] = true
VL["Helmouth Raiders"] = true
VL["Hertha Grimdottir"] = true
VL["Hook & Sinker"] = true
VL["Horn of the Siren"] = true
VL["Houndmaster Ely"] = true
VL["Houndmaster Jax'zor"] = true
VL["Houndmaster Stroxis"] = true
VL["Huk'roth the Houndmaster"] = true
VL["IH Elite Sniper"] = true
VL["Inquisitor Ernstenbok"] = true
VL["Inquisitor Tivos"] = true
VL["Inquisitor Volitix"] = true
VL["Invasion Point: Devastation"] = true
VL["Iron Front Captain 1"] = true
VL["Iron Front Captain 2"] = true
VL["Iron Front Captain 3"] = true
VL["Iron Houndmaster"] = true
VL["Iron Tunnel Foreman"] = true
VL["Ironbranch"] = true
VL["Isel the Hammer"] = true
VL["Ivory Sentinel"] = true
VL["Jade Darkhaven"] = true
VL["Jaluk the Pacifist"] = true
VL["Jetsam"] = true
VL["Kenos the Unraveller"] = true
VL["Kethrazor"] = true
VL["Kharazos the Triumphant"] = true
VL["Klikixx"] = true
VL["Kottr Vondyr"] = true
VL["Krahl Deathwind"] = true
VL["Lady Rivantas"] = true
VL["Lava-Gorged Goren"] = true
VL["Leaf-Reader Kurri"] = true
VL["Lieutenant Strathmar"] = true
VL["Light the Braziers"] = true
VL["Llorian"] = true
VL["Lost Ettin"] = true
VL["Luggut the Eggeater"] = true
VL["Lyrath Moonfeather"] = true
VL["Mad \"King\" Sporeon"] = true
VL["Magister Phaedris"] = true
VL["Maia the White"] = true
VL["Majestic Elderhorn"] = true
VL["Mal'Dreth the Corrupter"] = true
VL["Mandrakor the Night Hunter"] = true
VL["Marius & Tehd"] = true
VL["Mar'tura"] = true
VL["Matron Hagatha"] = true
VL["Mellok, Son of Torok"] = true
VL["Miasu"] = true
VL["Mordvigbjorn"] = true
VL["Mother Om'ra"] = true
VL["Mrrgrl the Tide Reaver"] = true
VL["Murktide Alpha"] = true
VL["Myonix"] = true
VL["Nas Dunberlin"] = true
VL["Night Haunter"] = true
VL["Noble Blademaster"] = true
VL["No'losh"] = true
VL["Normantis the Deposed"] = true
VL["Oasis Icemother"] = true
VL["Ogre Primalist"] = true
VL["Old Bear Trap"] = true
VL["Oreth the Vile"] = true
VL["Oubdob da Smasher"] = true
VL["Pale Assassin"] = true
VL["Pale Gone Fishin'"] = true
VL["Pale Spider Broodmother"] = true
VL["Panther Saberon Boss"] = true
VL["Perrexx the Corruptor"] = true
VL["Pinchshank"] = true
VL["Pit-Slayer"] = true
VL["Pridelord Meowl"] = true
VL["Protectors of the Grove"] = true
VL["Purging the River"] = true
VL["Quin'el, Master of Chillwind"] = true
VL["Ragemaw"] = true
VL["Randril"] = true
VL["Rauren"] = true
VL["Ravager Broodlord"] = true
VL["Ravyn-Drath"] = true
VL["Reef Lord Raj'his"] = true
VL["Remnant of the Blood Moon"] = true
VL["Rogond"] = true
VL["Rok'nash"] = true
VL["Roteye"] = true
VL["Saberon Blademaster"] = true
VL["Saberon Shaman"] = true
VL["Sapper Vorick"] = true
VL["Scout Harefoot"] = true
VL["Sea Giant King"] = true
VL["Sea Hydra"] = true
VL["Sea King Tidross"] = true
VL["Sea Lord Torglork"] = true
VL["Seek & Destroy Squad"] = true
VL["Seersei"] = true
VL["Sekhan"] = true
VL["Selia, Master of Balefire"] = true
VL["Shadowflame Terror"] = true
VL["Shadowmoon Cultist Ritual"] = true
VL["Shadowquill"] = true
VL["Shal'an"] = true
VL["Shaman Fire Stone"] = true
VL["Shara Felbreath"] = true
VL["Shinri"] = true
VL["Shivering Ashmaw Cub"] = true
VL["Siegemaster Aedrin"] = true
VL["Sikthiss, Maiden of Slaughter"] = true
VL["Skagg"] = true
VL["Skog"] = true
VL["Skywhisker Taskmaster"] = true
VL["Slogtusk"] = true
VL["Slumbering Bear"] = true
VL["Soulfang"] = true
VL["Soulthirster"] = true
VL["Starbuck"] = true
VL["Stomper Kreego"] = true
VL["Stoneshard Broodmother"] = true
VL["Stormwing Matriarch"] = true
VL["Syphonus & Leodrath"] = true
VL["Szirek"] = true
VL["Tarben"] = true
VL["Thane's Mead Hall"] = true
VL["The Beastly Boxer"] = true
VL["The Blightcaller"] = true
VL["The Brood Queen's Court: Count Nefarious"] = true
VL["The Brood Queen's Court: General Volroth"] = true
VL["The Brood Queen's Court: King Voras"] = true
VL["The Brood Queen's Court: Overseer Brutarg"] = true
VL["The Exiled Shaman"] = true
VL["The Muscle"] = true
VL["The Nameless King"] = true
VL["The Oracle"] = true
VL["The Voidseer"] = true
VL["Theryssia"] = true
VL["Thondrax"] = true
VL["Tide Behemoth"] = true
VL["Tideclaw"] = true
VL["Torrentius"] = true
VL["Totally Safe Treasure Chest"] = true
VL["Trecherous Stallions"] = true
VL["Unbound Rift"] = true
VL["Undgrell Attack"] = true
VL["Urgev the Flayer"] = true
VL["Valiyaka the Stormbringer"] = true
VL["Venomshade (Plant Hydra)"] = true
VL["Vicious Whale Shark"] = true
VL["Vorthax"] = true
VL["Wakkawam"] = true
VL["Wandering Vindicator - Looted Treasure"] = true
VL["Whitewater Typhoon"] = true
VL["Worg Pack"] = true
VL["Worgen Stalkers"] = true
VL["Wraithtalon"] = true
VL["Wrath-Lord Lekos"] = true
VL["Xothear, The Destroyer"] = true
VL["Yggdrel"] = true
VL["Zoug"] = true
VL["Zulk"] = true

